-- ===================================================================

local cvt      = default.convert_node
local reg_node = ocutil.safe_register_node

local img
local neednode

-- ===================================================================

cvt ("trunks:willow_trunkroot" ,
     "trunks:treeroot"         )

-- ===================================================================

local flat_stick = { -1/2, -1/2, -1/2, 1/2,  -7/16 , 1/2 }
local flat_moss  = { -1/2, -1/2, -1/2, 1/2, -15/32 , 1/2 }

img      = "trunks_moss.png"
neednode = "trunks:moss"
--
if  ocutil.thing_missing (neednode) then
    reg_node (neednode, {
        description         = "Moss"    ,
        drawtype            = "nodebox" ,
        paramtype           = "light"   ,
        paramtype2          = "facedir" ,
        sunlight_propagates = true      ,
        walkable            = false     ,

        tiles               = { img }   ,
        inventory_image     =   img     ,
        wield_image         =   img     ,

        node_box            = { type="fixed", fixed=flat_moss  } ,
        selection_box       = { type="fixed", fixed=flat_stick } ,
        groups              = { snappy=3, flammable=3          } ,
        sounds              = default.sound_leaves()             ,
    })
end

-- ===================================================================
-- End of file.
