minetest.register_craft({
    output = 'mapop:br_tile',
    recipe = {
    {'dye:black','dye:white','dye:black',},
    {'','default:stone_block','',},
    {'dye:black','','dye:black',},
    }
})

minetest.register_craft({
    output = 'mapop:ceiling_lamp',
    recipe = {
    {'', 'default:stone', ''},
    {'default:stone', 'default:meselamp', 'default:stone'},
    {'default:stone', 'default:meselamp', 'default:stone'}
    }
})

minetest.register_craft({
    output = 'mapop:outdoor_lamp',
    recipe = {
    {'','','',},
    {'default:stone','default:stone','default:stone',},
    {'default:stone','default:meselamp','default:stone',},
    }
})
--changed bathroom_faucet to bath_faucet and added craft
minetest.register_craft({
    output = 'mapop:bath_faucet',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','','bucket:bucket_water',},
    {'default:steel_ingot','','',},
    }
})

minetest.register_craft({
    output = 'mapop:toilet_paper_roll_dispenser',
    recipe = {
    {'default:stone','default:stone','default:stone',},
    {'default:paper','bucket:water','default:paper',},
    {'','default:paper','',},
    }
})
--added craft
minetest.register_craft({
    output = 'mapop:toilet_close',
    recipe = {
    {'','','default:steel_ingot',},
    {'default:steel_ingot','stairs:slab_wood','default:steel_ingot',},
    {'default:steel_ingot','bucket:bucket_water','default:steel_ingot',},
    }
})
--added craft
minetest.register_craft({
    output = 'mapop:br_sink',
    recipe = {
    {'default:steel_ingot','','default:steel_ingot',},
    {'','default:steel_ingot','',},
    {'','default:steel_ingot','',},
    }
})

minetest.register_craft({
    output = 'mapop:mirror_closed',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:glass','default:glass','default:glass',},
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    }
})
--added craft
minetest.register_craft({
    output = 'mapop:shower_base',
    recipe = {
    {'','','',},
    {'','','',},
    {'default:steel_ingot','bucket:bucket_empty','default:steel_ingot',},
    }
})
--added craft
minetest.register_craft({
    output = 'mapop:shower_top',
    recipe = {
    {'','default:steel_ingot','',},
    {'default:steel_ingot','bucket:bucket_water','default:steel_ingot',},
    {'default:steel_ingot','','default:steel_ingot',},
    }
})

local night_table = { --name, material, invimg
{'wood'},
{'aspen_wood'},
{'junglewood'},
{'acacia_wood'},
{'pine_wood'},
{'cobble'}
}

for i in ipairs (night_table) do
    local material = night_table[i][1]

minetest.register_craft({
    output = 'mapop:nightstand_'..material,
    recipe = {
    {'default:'..material, 'default:'..material, 'default:'..material},
    {'default:'..material, 'default:chest', 'default:'..material},
    {'default:'..material, 'default:'..material, 'default:'..material}
    }
})
end

local chair = { --name, material, invimg
{'wood'},
{'aspen_wood'},
{'junglewood'},
{'acacia_wood'},
{'pine_wood'},
{'cobble'}
}

for i in ipairs (chair) do
    local material = chair[i][1]

minetest.register_craft({
    output = 'mapop:chair_'..material,
    recipe = {
    {'default:'..material, '', ''},
    {'default:'..material, 'default:'..material, 'default:'..material},
    {'default:'..material, '', 'default:'..material}
    }
})
end

minetest.register_craft({
    output = 'mapop:barrel',
    recipe = {
    {'default:wood','default:wood','default:wood',},
    {'default:wood','default:steel_ingot','default:wood',},
    {'default:wood','default:wood','default:wood',},
    }
})

--added craft
minetest.register_craft({
    output = 'mapop:dw',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','bucket:bucket_water','default:steel_ingot',},
    {'default:steel_ingot','default:mese_crystal','default:steel_ingot',},
    }
})

minetest.register_craft({
    output = 'mapop:oven',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','default:furnace','default:steel_ingot',},
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    }
})

minetest.register_craft({
    output = 'mapop:microwave',
    recipe = {
    {'','','',},
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','default:furnace','default:steel_ingot',},
    }
})

minetest.register_craft({
    output = 'mapop:coffee_maker',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','default:copper_ingot','default:steel_ingot',},
    {'','default:glass','',},
    }
})

minetest.register_craft({
    output = 'mapop:coffee_cup',
    recipe = {
    {'default:glass','dye:blue','default:glass',},
    {'default:glass','dye:blue','default:glass',},
    {'default:glass','default:glass','default:glass',},
    }
})

minetest.register_craft({
    output = 'mapop:trash_can',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','bucket:bucket_lava','default:steel_ingot',},
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    }
})

--added craft
minetest.register_craft({
    output = 'mapop:kitchen_faucet',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','','default:steel_ingot',},
    {'default:steel_ingot','','',},
    }
})

minetest.register_craft({
    output = 'mapop:cutting_board',
    recipe = {
    {'','','',},
    {'','','',},
    {'default:wood','default:wood','',},
    }
})

minetest.register_craft({
    output = 'mapop:fridge',
    recipe = {
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    {'default:steel_ingot','default:snow','default:steel_ingot',},
    {'default:steel_ingot','default:steel_ingot','default:steel_ingot',},
    }
})
--added craft
minetest.register_craft({
    output = 'mapop:freezer',
    recipe = {
    {'default:steel_ingot','default:mese_crystal','default:steel_ingot',},
    {'default:steel_ingot','default:ice','default:steel_ingot',},
    {'default:steel_ingot','default:mese_crystal','default:steel_ingot',},
    }
})

local chair2_table = { --color
{'black'},
{'blue'},
{'brown'},
{'cyan'},
{'dark_green'},
{'dark_grey'},
{'green'},
{'grey'},
{'magenta'},
{'orange'},
{'pink'},
{'red'},
{'violet'},
{'yellow'},
}

for i in ipairs (chair2_table) do
    local color = chair2_table[i][1]

minetest.register_craft({
    output = 'mapop:chair2_'..color,
    recipe = {
    {'wool:'..color, 'wool:'..color, 'wool:'..color, },
    {'wool:'..color, 'wool:'..color, 'wool:'..color, },
    {'group:wood', '', 'group:wood', },
    }
})

minetest.register_craft({
    output = 'mapop:chair2_'..color,
    recipe = {
    {'mapop:chair2_white', 'dye:'..color}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_white',
    recipe = {
    {'mapop:chair2_'..color, 'dye:white'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_black',
    recipe = {
    {'mapop:chair2_'..color, 'dye:black'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_blue',
    recipe = {
    {'mapop:chair2_'..color, 'dye:blue'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_brown',
    recipe = {
    {'mapop:chair2_'..color, 'dye:brown'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_cyan',
    recipe = {
    {'mapop:chair2_'..color, 'dye:cyan'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_dark_grey',
    recipe = {
    {'mapop:chair2_'..color, 'dye:dark_grey'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_grey',
    recipe = {
    {'mapop:chair2_'..color, 'dye:grey'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_green',
    recipe = {
    {'mapop:chair2_'..color, 'dye:green'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_magenta',
    recipe = {
    {'mapop:chair2_'..color, 'dye:magenta'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_orange',
    recipe = {
    {'mapop:chair2_'..color, 'dye:orange'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_pink',
    recipe = {
    {'mapop:chair2_'..color, 'dye:pink'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_red',
    recipe = {
    {'mapop:chair2_'..color, 'dye:red'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_violet',
    recipe = {
    {'mapop:chair2_'..color, 'dye:violet'}
    }
})

minetest.register_craft({
    output = 'mapop:chair2_yellow',
    recipe = {
    {'mapop:chair2_'..color, 'dye:yellow'}
    }
})
end

minetest.register_craft({
    output = 'mapop:chair2_white',
    recipe = {
    {'wool:white', 'wool:white', 'wool:white', },
    {'wool:white', 'wool:white', 'wool:white', },
    {'group:wood', '', 'group:wood', },
    }
})

local fs_table = { --color
{'black'},
{'blue'},
{'brown'},
{'cyan'},
{'dark_green'},
{'dark_grey'},
{'green'},
{'grey'},
{'magenta'},
{'orange'},
{'pink'},
{'red'},
{'violet'},
{'yellow'},
}

for i in ipairs (fs_table) do
    local color = fs_table[i][1]

minetest.register_craft({
    output = 'mapop:fs_'..color,
    recipe = {
    {'wool:'..color, 'wool:'..color, 'wool:'..color, },
    {'group:wood', '', 'group:wood', },
    }
})

minetest.register_craft({
    output = 'mapop:fs_'..color,
    recipe = {
    {'mapop:fs_white', 'dye:'..color}
    }
})

minetest.register_craft({
    output = 'mapop:fs_white',
    recipe = {
    {'mapop:fs_'..color, 'dye:white'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_',
    recipe = {
    {'mapop:fs_'..color, 'dye:'..color}
    }
})

minetest.register_craft({
    output = 'mapop:fs_black',
    recipe = {
    {'mapop:fs_'..color, 'dye:black'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_blue',
    recipe = {
    {'mapop:fs_'..color, 'dye:blue'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_brown',
    recipe = {
    {'mapop:fs_'..color, 'dye:brown'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_cyan',
    recipe = {
    {'mapop:fs_'..color, 'dye:cyan'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_dark_grey',
    recipe = {
    {'mapop:fs_'..color, 'dye:dark_grey'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_grey',
    recipe = {
    {'mapop:fs_'..color, 'dye:grey'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_green',
    recipe = {
    {'mapop:fs_'..color, 'dye:green'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_magenta',
    recipe = {
    {'mapop:fs_'..color, 'dye:magenta'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_orange',
    recipe = {
    {'mapop:fs_'..color, 'dye:orange'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_pink',
    recipe = {
    {'mapop:fs_'..color, 'dye:pink'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_red',
    recipe = {
    {'mapop:fs_'..color, 'dye:red'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_violet',
    recipe = {
    {'mapop:fs_'..color, 'dye:violet'}
    }
})

minetest.register_craft({
    output = 'mapop:fs_yellow',
    recipe = {
    {'mapop:fs_'..color, 'dye:yellow'}
    }
})
end

minetest.register_craft({
    output = 'mapop:fs_white',
    recipe = {
    {'wool:white', 'wool:white', 'wool:white', },
    {'group:wood', '', 'group:wood', },
    }
})

local unit_table = { --name, material
{'Wood Entertainment Unit', 'wood'},
{'Acacia Wood Entertainment Unit', 'acacia_wood'},
{'Aspen Wood Entertainment Unit', 'aspen_wood'},
{'Pine Wood Entertainment Unit', 'pine_wood'},
{'Jungle Wood Entertainment Unit', 'junglewood'}
}

for i in ipairs (unit_table) do
    local name = unit_table[i][1]
    local material = unit_table[i][2]
    local invimg = unit_table[i][3]

minetest.register_craft({
    output = 'mapop:e_u_'..material,
    recipe = {
    {'default:'..material,'default:'..material,'default:'..material,},
    {'default:'..material,'default:chest','default:'..material,},
    {'default:'..material,'','default:'..material,},
    }
})
end

minetest.register_craft({
    output = 'mapop:fireplace',
    recipe = {
    {'default:brick', 'default:brick', 'default:brick'},
    {'default:brick', 'default:furnace', 'default:brick'},
    {'default:brick', 'default:brick', 'default:brick'}
    }
})

local lamp_table = { --name, color, colorize(hex or color name:intensity(1-255))
{'Black', 'black', 'black:225'},
{'Blue', 'blue', 'blue:225'},
{'Brown', 'brown', 'brown:225'},
{'Cyan', 'cyan', 'cyan:200'},
{'Dark Green', 'dark_green', 'green:225'},
{'Dark Grey', 'dark_grey', 'black:200'},
{'Green', 'green', '#32cd32:150'},
{'Grey', 'grey', 'black:100'},
{'Magenta', 'magenta', 'magenta:200'},
{'Orange', 'orange', 'orange:225'},
{'Pink', 'pink', 'pink:225'},
{'Red', 'red', 'red:225'},
{'Violet', 'violet', 'violet:225'},
{'White', 'white', 'white:1'},
{'Yellow', 'yellow', 'yellow:225'},
}

for i in ipairs (lamp_table) do
    local name = lamp_table[i][1]
    local color = lamp_table[i][2]
    local hex = lamp_table[i][3]

minetest.register_craft({
    output = 'mapop:lamp_off_'..color,
    recipe = {
    {'wool:white','wool:white', 'wool:white'},
    {'wool:white', 'default:torch', 'wool:white'},
    {'wool:'..color, 'wool:'..color, 'wool:'..color}
    }
})
end

minetest.register_craft({
    output = 'mapop:blinds',
    recipe = {
        {'default:stick', 'default:stick', 'default:stick'},
        {'default:stick', 'dye:white', 'default:stick'},
        {'default:stick', 'default:stick', 'default:stick'}
        }
})

local c_table = { --name, material, invimg
{'wood'},
{'aspen_wood'},
{'junglewood'},
{'acacia_wood'},
{'pine_wood'},
{'cobble'}
}

for i in ipairs (c_table) do
    local material = c_table[i][1]

minetest.register_craft({
    output = 'mapop:c_'..material,
    recipe = {
    {'', '', ''},
    {'default:'..material, 'default:'..material, 'default:'..material},
    {'default:'..material, '', 'default:'..material}
    }
})
end

minetest.register_craft({
    output = 'mapop:computer',
    recipe = {
    {'default:stone','default:stone','default:stone',},
    {'default:glass','default:mese_crystal','default:stone',},
    {'default:stone','default:copper_lump','default:stone',},
    }
})

local table = { --name, material, invimg
{'wood'},
{'aspen_wood'},
{'junglewood'},
{'acacia_wood'},
{'pine_wood'},
{'cobble'}
}

for i in ipairs (table) do
    local material = table[i][1]

minetest.register_craft({
    output = 'mapop:table_'..material,
    recipe = {
    {'stairs:slab_'..material..'wood', 'stairs:slab_'..material..'wood', 'stairs:slab_'..material..'wood'},
    {'', 'default:stick', ''},
    {'', 'default:stick', ''}
    }
})

minetest.register_craft({
    output = 'mapop:table_'..material,
    recipe = {
    {'stairs:slab_wood', 'stairs:slab_wood', 'stairs:slab_wood'},
    {'', 'default:stick', ''},
    {'', 'default:stick', ''}
    }
})
end

--added craft
minetest.register_craft({
    output = 'mapop:tile_kitchen',
    recipe = {
    {'default:stone_block','dye:white','default:stone_block',},
    {'dye:black','default:stone_block','dye:black',},
    {'default:stone_block','dye:white','default:stone_block',},
    }
})

--added craft
minetest.register_craft({
    output = 'mapop:tile_floor_kitchen',
    recipe = {
    {'default:stone_block','dye:white','dye:black'},
    }
})

minetest.register_craft({
    output = 'mapop:ac',
    recipe = {
    {'default:coral_skeleton','default:coral_skeleton','default:coral_skeleton',},
    {'default:coral_skeleton','mapop:fan_blade','default:coral_skeleton',},
    {'default:coral_skeleton','default:mese_crystal','default:coral_skeleton',},
    }
})

minetest.register_craft({
    output = 'mapop:fan_off',
    recipe = {
    {'default:coral_skeleton','default:coral_skeleton','default:coral_skeleton',},
    {'default:coral_skeleton','mapop:fan_blade','default:coral_skeleton',},
    {'default:coral_skeleton','default:coral_skeleton','default:coral_skeleton',},
    }
})

minetest.register_craftitem("mapop:fan_blade", {
    description = 'Fan Blade',
    inventory_image = "mp_blade.png",
})

minetest.register_craft({
    output = 'mapop:fan_blade',
    recipe = {
    {'default:coral_skeleton','','default:coral_skeleton',},
    {'','default:coral_skeleton','',},
    {'default:coral_skeleton','','default:coral_skeleton',},
    }
})

minetest.register_craftitem("mapop:knife", {
    description = 'Knife',
    inventory_image = "mp_knife.png",
})

minetest.register_craft({
    output = 'mapop:knife',
    recipe = {
    {'default:steel_ingot','','',},
    {'','default:steel_ingot','',},
    {'','','default:stick',},
    }
})

minetest.register_craft({
    output = 'mapop:fridge_white',
    recipe = {
    {'default:steelblock','default:steelblock','default:steelblock',},
    {'default:steelblock','default:chest','default:steelblock',},
    {'default:steelblock','default:furnace','default:steelblock',}
    }
})

--added craft
local fridges_list = {
    {"black", "Darkened Fridge", color1},
    {"blue", "Blue Fridge", color2},
    {"green", "Green Fridge", color3},
    {"orange", "Orange Fridge", color5}
}

for i, fridge in ipairs(fridges_list) do
    local colour = fridge[1]
    local fridgedesc = fridge[2]
    local colour2 = fridge[3]

minetest.register_craft({
    type = "shapeless",
    output = 'mapop:fridge_'..colour,
    recipe =
    {'mapop:fridge_white', 'dye:'..colour}
})
end

minetest.register_craft ({
    output = "mapop:stereo" ,
    recipe = {
        {"default:steel_ingot", "default:steel_ingot", "default:steel_ingot", },
        {"default:steel_ingot", "default:chest", "default:steel_ingot", },
        {"default:stick", "", "default:stick", }
    }
})

minetest.register_craft ({
    output = 'mapop:tv' ,
    recipe = {
        {'default:tree', 'default:tree', 'default:tree'},
        {'default:tree', 'wool:black', 'default:tree'},
        {'default:tree', 'default:tree', 'default:tree'}
    }
})
