-- mods/default/crafting.lua

local                     enable_default_apple  =
    ocutil.bool_default ("enable_default_apple" )

local                     skydoom               =
    ocutil.bool_default ("skydoom"              ) or
    ocutil.bool_default ("skydoom_special"      ) or
    ocutil.bool_default ("enable_skydoom"       )

minetest.register_craft({
    output = 'default:wood 4',
    recipe = {
        {'default:tree'},
    }
})

minetest.register_craft({
    output = 'default:junglewood 4',
    recipe = {
        {'default:jungletree'},
    }
})

minetest.register_craft({
    output = 'default:pine_wood 4',
    recipe = {
        {'default:pine_tree'},
    }
})

minetest.register_craft({
    output = 'default:acacia_wood 4',
    recipe = {
        {'default:acacia_tree'},
    }
})

minetest.register_craft({
    output = 'default:aspen_wood 4',
    recipe = {
        {'default:aspen_tree'},
    }
})

minetest.register_craft({
    output = 'default:stick 4',
    recipe = {
        {'group:wood'},
    }
})

minetest.register_craft({
    output = 'default:sign_wall_steel 3',
    recipe = {
        {'default:steel_ingot', 'default:steel_ingot', 'default:steel_ingot'},
        {'default:steel_ingot', 'default:steel_ingot', 'default:steel_ingot'},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:sign_wall_wood 3',
    recipe = {
        {'group:wood', 'group:wood', 'group:wood'},
        {'group:wood', 'group:wood', 'group:wood'},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:torch 4',
    recipe = {
        {'default:coal_lump'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:pick_wood',
    recipe = {
        {'group:wood', 'group:wood', 'group:wood'},
        {'', 'group:stick', ''},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:pick_stone',
    recipe = {
        {'group:stone', 'group:stone', 'group:stone'},
        {'', 'group:stick', ''},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:pick_steel',
    recipe = {
        {'default:steel_ingot', 'default:steel_ingot', 'default:steel_ingot'},
        {'', 'group:stick', ''},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:pick_bronze',
    recipe = {
        {'default:bronze_ingot', 'default:bronze_ingot', 'default:bronze_ingot'},
        {'', 'group:stick', ''},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:pick_mese',
    recipe = {
        {'default:mese_crystal', 'default:mese_crystal', 'default:mese_crystal'},
        {'', 'group:stick', ''},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:pick_diamond',
    recipe = {
        {'default:diamond', 'default:diamond', 'default:diamond'},
        {'', 'group:stick', ''},
        {'', 'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:shovel_wood',
    recipe = {
        {'group:wood'},
        {'group:stick'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:shovel_stone',
    recipe = {
        {'group:stone'},
        {'group:stick'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:shovel_steel',
    recipe = {
        {'default:steel_ingot'},
        {'group:stick'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:shovel_bronze',
    recipe = {
        {'default:bronze_ingot'},
        {'group:stick'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:shovel_mese',
    recipe = {
        {'default:mese_crystal'},
        {'group:stick'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:shovel_diamond',
    recipe = {
        {'default:diamond'},
        {'group:stick'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:axe_wood',
    recipe = {
        {'group:wood', 'group:wood'},
        {'group:wood', 'group:stick'},
        {'', 'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:axe_stone',
    recipe = {
        {'group:stone', 'group:stone'},
        {'group:stone', 'group:stick'},
        {'', 'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:axe_steel',
    recipe = {
        {'default:steel_ingot', 'default:steel_ingot'},
        {'default:steel_ingot', 'group:stick'},
        {'', 'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:axe_bronze',
    recipe = {
        {'default:bronze_ingot', 'default:bronze_ingot'},
        {'default:bronze_ingot', 'group:stick'},
        {'', 'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:axe_mese',
    recipe = {
        {'default:mese_crystal', 'default:mese_crystal'},
        {'default:mese_crystal', 'group:stick'},
        {'', 'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:axe_diamond',
    recipe = {
        {'default:diamond', 'default:diamond'},
        {'default:diamond', 'group:stick'},
        {'', 'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:axe_wood',
    recipe = {
        {'group:wood', 'group:wood'},
        {'group:stick', 'group:wood'},
        {'group:stick',''},
    }
})

minetest.register_craft({
    output = 'default:axe_stone',
    recipe = {
        {'group:stone', 'group:stone'},
        {'group:stick', 'group:stone'},
        {'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:axe_steel',
    recipe = {
        {'default:steel_ingot', 'default:steel_ingot'},
        {'group:stick', 'default:steel_ingot'},
        {'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:axe_bronze',
    recipe = {
        {'default:bronze_ingot', 'default:bronze_ingot'},
        {'group:stick', 'default:bronze_ingot'},
        {'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:axe_mese',
    recipe = {
        {'default:mese_crystal', 'default:mese_crystal'},
        {'group:stick', 'default:mese_crystal'},
        {'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:axe_diamond',
    recipe = {
        {'default:diamond', 'default:diamond'},
        {'group:stick', 'default:diamond'},
        {'group:stick', ''},
    }
})

minetest.register_craft({
    output = 'default:sword_wood',
    recipe = {
        {'group:wood'},
        {'group:wood'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:sword_stone',
    recipe = {
        {'group:stone'},
        {'group:stone'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:sword_steel',
    recipe = {
        {'default:steel_ingot'},
        {'default:steel_ingot'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:sword_bronze',
    recipe = {
        {'default:bronze_ingot'},
        {'default:bronze_ingot'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:sword_mese',
    recipe = {
        {'default:mese_crystal'},
        {'default:mese_crystal'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:sword_diamond',
    recipe = {
        {'default:diamond'},
        {'default:diamond'},
        {'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:rail 24',
    recipe = {
        { 'default:steel_ingot', ''            , 'default:steel_ingot' } ,
        { 'default:steel_ingot', 'group:stick' , 'default:steel_ingot' } ,
        { 'default:steel_ingot', ''            , 'default:steel_ingot' } ,
    }
})

minetest.register_craft({
    output = 'default:chest',
    recipe = {
        {'group:wood', 'group:wood', 'group:wood'},
        {'group:wood', '', 'group:wood'},
        {'group:wood', 'group:wood', 'group:wood'},
    }
})

minetest.register_craft({
    output = 'default:chest_locked',
    recipe = {
        {'group:wood', 'group:wood', 'group:wood'},
        {'group:wood', 'default:steel_ingot', 'group:wood'},
        {'group:wood', 'group:wood', 'group:wood'},
    }
})

minetest.register_craft({
    output = 'default:furnace',
    recipe = {
        {'group:stone', 'group:stone', 'group:stone'},
        {'group:stone', '', 'group:stone'},
        {'group:stone', 'group:stone', 'group:stone'},
    }
})

minetest.register_craft ({
    output = 'default:furnace_locked' ,
    recipe = {
        { 'group:stone' , 'group:stone' , 'group:stone' } ,
        { 'group:stone' , 'group:ingot' , 'group:stone' } ,
        { 'group:stone' , 'group:stone' , 'group:stone' } ,
    }
})

minetest.register_craft ({
    type   = "shapeless" ,
    output = "default:furnace_locked" ,
    recipe = { "default:furnace", "group:ingot" } ,
})

minetest.register_craft({
    type = "shapeless",
    output = "default:bronze_ingot",
    recipe = {"default:steel_ingot", "default:copper_ingot"},
})

minetest.register_craft({
    output = 'default:coalblock',
    recipe = {
        {'default:coal_lump', 'default:coal_lump', 'default:coal_lump'},
        {'default:coal_lump', 'default:coal_lump', 'default:coal_lump'},
        {'default:coal_lump', 'default:coal_lump', 'default:coal_lump'},
    }
})

minetest.register_craft({
    output = 'default:coal_lump 9',
    recipe = {
        {'default:coalblock'},
    }
})

minetest.register_craft({
    output = 'default:steelblock',
    recipe = {
        {'default:steel_ingot', 'default:steel_ingot', 'default:steel_ingot'},
        {'default:steel_ingot', 'default:steel_ingot', 'default:steel_ingot'},
        {'default:steel_ingot', 'default:steel_ingot', 'default:steel_ingot'},
    }
})

minetest.register_craft({
    output = 'default:steel_ingot 9',
    recipe = {
        {'default:steelblock'},
    }
})

minetest.register_craft({
    output = 'default:copperblock',
    recipe = {
        {'default:copper_ingot', 'default:copper_ingot', 'default:copper_ingot'},
        {'default:copper_ingot', 'default:copper_ingot', 'default:copper_ingot'},
        {'default:copper_ingot', 'default:copper_ingot', 'default:copper_ingot'},
    }
})

minetest.register_craft({
    output = 'default:copper_ingot 9',
    recipe = {
        {'default:copperblock'},
    }
})

minetest.register_craft({
    output = "default:tinblock",
    recipe = {
        {"default:tin_ingot", "default:tin_ingot", "default:tin_ingot"},
        {"default:tin_ingot", "default:tin_ingot", "default:tin_ingot"},
        {"default:tin_ingot", "default:tin_ingot", "default:tin_ingot"},
    }
})

minetest.register_craft({
    output = "default:tin_ingot 9",
    recipe = {
        {"default:tinblock"},
    }
})

minetest.register_craft({
    output = "default:bronze_ingot 9",
    recipe = {
        {"default:copper_ingot", "default:copper_ingot", "default:copper_ingot"},
        {"default:copper_ingot", "default:tin_ingot", "default:copper_ingot"},
        {"default:copper_ingot", "default:copper_ingot", "default:copper_ingot"},
    }
})

minetest.register_craft({
    output = 'default:bronzeblock',
    recipe = {
        {'default:bronze_ingot', 'default:bronze_ingot', 'default:bronze_ingot'},
        {'default:bronze_ingot', 'default:bronze_ingot', 'default:bronze_ingot'},
        {'default:bronze_ingot', 'default:bronze_ingot', 'default:bronze_ingot'},
    }
})

minetest.register_craft({
    output = 'default:bronze_ingot 9',
    recipe = {
        {'default:bronzeblock'},
    }
})

minetest.register_craft({
    output = 'default:goldblock',
    recipe = {
        {'default:gold_ingot', 'default:gold_ingot', 'default:gold_ingot'},
        {'default:gold_ingot', 'default:gold_ingot', 'default:gold_ingot'},
        {'default:gold_ingot', 'default:gold_ingot', 'default:gold_ingot'},
    }
})

minetest.register_craft({
    output = 'default:gold_ingot 9',
    recipe = {
        {'default:goldblock'},
    }
})

minetest.register_craft({
    output = 'default:diamondblock',
    recipe = {
        {'default:diamond', 'default:diamond', 'default:diamond'},
        {'default:diamond', 'default:diamond', 'default:diamond'},
        {'default:diamond', 'default:diamond', 'default:diamond'},
    }
})

minetest.register_craft({
    output = 'default:diamond 9',
    recipe = {
        {'default:diamondblock'},
    }
})

minetest.register_craft({
    output = 'default:sandstone',
    recipe = {
        {'group:sand', 'group:sand'},
        {'group:sand', 'group:sand'},
    }
})

minetest.register_craft({
    output = 'default:sand 4',
    recipe = {
        {'default:sandstone'},
    }
})

minetest.register_craft({
    output = 'default:sandstonebrick 4',
    recipe = {
        {'default:sandstone', 'default:sandstone'},
        {'default:sandstone', 'default:sandstone'},
    }
})

-- ===================================================================

if not skydoom then
minetest.register_craft({
    output = "default:desert_sandstone",
    recipe = {
{ "default:desert_sand", "default:desert_sand" } ,
{ "default:desert_sand", "default:desert_sand" } ,
    }
})
end

minetest.register_craft ({
    output = "default:desert_sand 4",
    recipe = {
{ "default:desert_sandstone" } ,
    }
})

minetest.register_craft ({
    output = "default:desert_sandstone_brick 4",
    recipe = {
{ "default:desert_sandstone", "default:desert_sandstone" } ,
{ "default:desert_sandstone", "default:desert_sandstone" } ,
    }
})

minetest.register_craft ({
    output = "default:desert_sandstone_block 9",
    recipe = {
{ "default:desert_sandstone", "default:desert_sandstone", "default:desert_sandstone" } ,
{ "default:desert_sandstone", "default:desert_sandstone", "default:desert_sandstone" } ,
{ "default:desert_sandstone", "default:desert_sandstone", "default:desert_sandstone" } ,
    }
})

-- ===================================================================

minetest.register_craft ({
    output = "default:silver_sandstone",
    recipe = {
        {"default:silver_sand", "default:silver_sand"},
        {"default:silver_sand", "default:silver_sand"},
    }
})

minetest.register_craft({
    output = "default:silver_sand 4",
    recipe = {
        {"default:silver_sandstone"},
    }
})

minetest.register_craft({
    output = "default:silver_sandstone_brick 4",
    recipe = {
        {"default:silver_sandstone", "default:silver_sandstone"},
        {"default:silver_sandstone", "default:silver_sandstone"},
    }
})

minetest.register_craft({
    output = "default:silver_sandstone_block 9",
    recipe = {
        {"default:silver_sandstone", "default:silver_sandstone", "default:silver_sandstone"},
        {"default:silver_sandstone", "default:silver_sandstone", "default:silver_sandstone"},
        {"default:silver_sandstone", "default:silver_sandstone", "default:silver_sandstone"},
    }
})

-- ===================================================================

minetest.register_craft({
    output = 'default:clay',
    recipe = {
        {'default:clay_lump', 'default:clay_lump'},
        {'default:clay_lump', 'default:clay_lump'},
    }
})

minetest.register_craft({
    output = 'default:clay_lump 4',
    recipe = {
        {'default:clay'},
    }
})

minetest.register_craft({
    output = 'default:brick',
    recipe = {
        {'default:clay_brick', 'default:clay_brick'},
        {'default:clay_brick', 'default:clay_brick'},
    }
})

minetest.register_craft({
    output = 'default:clay_brick 4',
    recipe = {
        {'default:brick'},
    }
})

-- RJK 191224: Modified to count=4 to match "moreblocks definition
--
minetest.register_craft ({
    output = 'default:paper 4' ,
    recipe = {
        {'default:papyrus', 'default:papyrus', 'default:papyrus'},
    }
})

minetest.register_craft({
    output = 'default:book',
    recipe = {
        {'default:paper'},
        {'default:paper'},
        {'default:paper'},
    }
})

minetest.register_craft({
    output = 'default:bookshelf',
    recipe = {
        {'group:wood', 'group:wood', 'group:wood'},
        {'default:book', 'default:book', 'default:book'},
        {'group:wood', 'group:wood', 'group:wood'},
    }
})

minetest.register_craft({
    output = 'default:ladder_wood 3',
    recipe = {
        {'group:stick', '', 'group:stick'},
        {'group:stick', 'group:stick', 'group:stick'},
        {'group:stick', '', 'group:stick'},
    }
})

minetest.register_craft({
    output = 'default:ladder_steel 15',
    recipe = {
        {'default:steel_ingot', '', 'default:steel_ingot'},
        {'default:steel_ingot', 'default:steel_ingot', 'default:steel_ingot'},
        {'default:steel_ingot', '', 'default:steel_ingot'},
    }
})

minetest.register_craft({
    output = 'default:mese',
    recipe = {
        {'default:mese_crystal', 'default:mese_crystal', 'default:mese_crystal'},
        {'default:mese_crystal', 'default:mese_crystal', 'default:mese_crystal'},
        {'default:mese_crystal', 'default:mese_crystal', 'default:mese_crystal'},
    }
})

minetest.register_craft({
    output = 'default:mese_crystal 9',
    recipe = {
        {'default:mese'},
    }
})

minetest.register_craft({
    output = 'default:mese_crystal_fragment 9',
    recipe = {
        {'default:mese_crystal'},
    }
})

minetest.register_craft({
    output = 'default:meselamp 1',
    recipe = {
        {'', 'default:mese_crystal',''},
        {'default:mese_crystal', 'default:glass', 'default:mese_crystal'},
    }
})

minetest.register_craft({
    output = 'default:obsidian_shard 9',
    recipe = {
        {'default:obsidian'}
    }
})

minetest.register_craft({
    output = 'default:obsidian',
    recipe = {
        {'default:obsidian_shard', 'default:obsidian_shard', 'default:obsidian_shard'},
        {'default:obsidian_shard', 'default:obsidian_shard', 'default:obsidian_shard'},
        {'default:obsidian_shard', 'default:obsidian_shard', 'default:obsidian_shard'},
    }
})

minetest.register_craft({
    output = 'default:obsidianbrick 4',
    recipe = {
        {'default:obsidian', 'default:obsidian'},
        {'default:obsidian', 'default:obsidian'}
    }
})

minetest.register_craft({
    output = 'default:stonebrick 4',
    recipe = {
        {'default:stone', 'default:stone'},
        {'default:stone', 'default:stone'},
    }
})

minetest.register_craft({
    output = 'default:desert_stonebrick 4',
    recipe = {
        {'default:desert_stone', 'default:desert_stone'},
        {'default:desert_stone', 'default:desert_stone'},
    }
})

minetest.register_craft({
    output = 'default:snowblock',
    recipe = {
        {'default:snow', 'default:snow', 'default:snow'},
        {'default:snow', 'default:snow', 'default:snow'},
        {'default:snow', 'default:snow', 'default:snow'},
    }
})

minetest.register_craft({
    output = 'default:snow 9',
    recipe = {
        {'default:snowblock'},
    }
})

minetest.register_craft ({
    type = "toolrepair" ,
    additional_wear = -0.02 ,
})

-- ===================================================================

local rfcook = ocutil.register_furnace_cooking

rfcook ("default:glass"          , "group:sand"              )
rfcook ("default:obsidian_glass" , "default:obsidian_shard"  )
rfcook ("default:stone"          , "default:cobble"          )
rfcook ("default:stone"          , "default:dirt_with_grass" )
rfcook ("default:stone"          , "default:mossycobble"     )
rfcook ("default:desert_stone"   , "default:desert_cobble"   )
rfcook ("default:steel_ingot"    , "default:iron_lump"       )
rfcook ("default:copper_ingot"   , "default:copper_lump"     )
rfcook ("default:tin_ingot"      , "default:tin_lump"        )
rfcook ("default:gold_ingot"     , "default:gold_lump"       )
rfcook ("default:clay_brick"     , "default:clay_lump"       )

-- ===================================================================

local rffuel = ocutil.register_furnace_fuel

rffuel ("default:apple"             ,   3)
rffuel ("default:bookshelf"         ,  30)
rffuel ("default:cactus"            ,  15)
rffuel ("default:chest"             ,  30)
rffuel ("default:chest_locked"      ,  30)
rffuel ("default:coal_lump"         ,  40)
rffuel ("default:coalblock"         , 370)
rffuel ("default:dry_grass_1"       ,   2)
rffuel ("default:fence_acacia_wood" ,  15)
rffuel ("default:fence_aspen_wood"  ,  15)
rffuel ("default:fence_junglewood"  ,  15)
rffuel ("default:fence_pine_wood"   ,  15)
rffuel ("default:fence_wood"        ,  15)
rffuel ("default:grass_1"           ,   2)
rffuel ("default:junglegrass"       ,   2)
rffuel ("default:ladder_wood"       ,   5)
rffuel ("default:lava_source"       ,  60)
rffuel ("default:nyancat"           ,   2)
rffuel ("default:nyancat_rainbow"   ,   2)
rffuel ("default:papyrus"           ,   2)
rffuel ("default:sign_wall_wood"    ,  10)
rffuel ("default:stick"             ,   1)
rffuel ("default:torch"             ,   4)

rffuel ("group:leaves"              ,   2)
rffuel ("group:sapling"             ,  10)
rffuel ("group:tree"                ,  30)
rffuel ("group:wood"                ,   7)

-- ===================================================================

minetest.register_craft ({
    output = "default:coal_lump",
    type = "cooking",
    recipe = "group:tree",
    cooktime = 4
})

-- ===================================================================
-- End of file.
