-- ===================================================================

local QuoteList = {

"After all is said and done, more has been said than done." ,
"A glass cat catches no mice." ,
"A kind heart is of little value in chess." ,
"Alea iacta est. [ The die is cast. ] -- Julius Caesar" ,
"All cats are gray in the dark. -- Benjamin Franklin" ,
"All roads lead to Trantor, and that is where all stars end." ,
"All that glitters has a high refractive index." ,
"A lot of people mistake a short memory for a clear conscience. -- Doug Larson" ,
"A man is not old until regrets take the place of dreams. -- John Barrymore" ,
"Ancient Chinese Curse: May all your wishes be granted" ,
"Ancient Chinese Curse: May you live in interesting times" ,
"Methinks upon a sudden I am awaked as it were out of a dream. -- Robert Burton, 1621" ,
"An honest man's the noblest work of God." ,
"Another such victory over the Romans, and we are undone. -- Pyrrhus" ,
"A phaser is the universal communicator. -- Worf" ,
"A promise made is a debt unpaid." ,
"A shark with whiskey is mighty risky" ,
"Ashes to ashes, dust to dust, If God won't have you, the Devil must." ,
"A ship in harbor is safe, but that is not what ships are for. -- John A. Shedd" ,
"A skillful sailor was never made on a calm sea." ,
"Be careful of what you wish for; you might get it." ,
"Be careful what you wish for. You never know who will be listening. -- Terry Pratchett" ,
"Beet ever so onion, there's snow peas legume." ,
"Buy low, sell high." ,
"By failing to prepare, you are preparing to fail. -- Benjamin Franklin" ,
"'C' code. 'C' code run. Run, code, run." ,
"Chance favors the prepared mind. -- Louis Pasteur" ,
"Change your thoughts and you change your world." ,
"Climate is what you expect. Weather is what you get." ,
"Creditors have better memories than debtors. -- Benjamin Franklin" ,
"Destinations are often a surprise to the destined. -- Thessaly, \"Sandman\"" ,
"Did you know that SDRAWKCAB spelled backwards is backwards?" ,
"Dive into the waters of majority, see if you get clean. -- Steve Aylett" ,
"Dogs bark, but the caravan passes on." ,
"Don't tempt the gods, they love it." ,
"Early to bed, early to rise, work like hell, and advertise." ,
"Even a cabbage may look at a king." ,
"Even a hawk is an eagle among crows." ,
"Even God cannot change the past. -- Agathon (448 BC-400 BC)" ,
"Even the boldest zebra fears the hungry lion." ,
"Even the smallest candle burns brighter in the dark." ,
"Everything should be built top-down, except the first time." ,
"Everything you can imagine is real. -- Pablo Picasso" ,
"First things first, but not necessarily in that order. -- \"Doctor Who\"" ,
"Freedom's just another word for nothing left to lose." ,
"Grandeur only works at low speed. -- Steve Aylett, \"Toxicology\"" ,
"Haiku: oh no godzilla | guns and planes cannot stop him tokyo is ablaze" ,
"Heavier-than-air flying machines are impossible. -- Lord Kelvin, 1892" ,
"He is winding the watch of his wit; by and by it will strike. -- Shakespeare" ,
"He who laughs, lasts." ,
"He who rides the tiger cannot dismount." ,
"How many eggs could an eggplant plant if an eggplant could plant eggs?" ,
"I am, therefore I am. -- Akira" ,
"I don't want the world, I just want your half. -- TMBG, \"Ana Ng\"" ,
"If a fool would persist in his folly he would become wise" ,
"If at first you don't succeed, then skydiving isn't for you" ,
"If if's and but's were candy and nuts, every day would be Christmas." ,
"If there are epigrams, there must be meta-epigrams." ,
"If tin whistles are made of tin, what are foghorns made of?" ,
"If you eat, you're on a diet. A diet is what you eat. -- Dr. Angus" ,
"If you're happy, you're successful." ,
"Immensity is less reproach than dismissal. -- Steve Aylett, \"Atom\"" ,
"In chess, it is always better to sacrifice your opponent's men." ,
"Intent and outcome are rarely coincident. -- Morpheus, \"Sandman\"" ,
"It beggar'd all description. -- Shakespeare" ,
"It is hard to fight an enemy who has outposts in your head. -- Sally Kempton" ,
"It is unwise to summon what you cannot dismiss. -- Morpheus, \"Sandman\"" ,
"It's almost cosmic." ,
"It's a wise bird who builds his nest in a tree." ,
"It's bad luck to be superstitious." ,
"It's the business of the future to be dangerous." ,
"I was born in truth's own city, Veritas. -- James Morrow, \"City of Truth\"" ,
"Let others praise ancient times; I am glad I was born in these. -- Ovid (43 BC-17 AD)" ,
"Life is complex; it consists of both real and imaginary parts." ,
"Life is what happens while you're making other plans. -- John Lennon" ,
"Like winter snow on summer lawn, time past is time gone." ,
"Logic is panic's prey." ,
"Luck is the residue of design." ,
"Maintain thine airspeed, lest the earth rise up and smite thee" ,
"Mathematics is the language which God used to write the universe." ,
"Memory serves wise commanders. -- Tz'u-hsi, 638 AD" ,
"Money is a good servant, but a bad master." ,
"Money talks. Mine says goodbye." ,
"Music washes away from the soul the dust of everyday life. -- Red Auerbach" ,
"My reality check just bounced." ,
"My work is a game, a very serious game. -- M.C. Escher" ,
"Never cut what you can untie. -- Joseph Joubert" ,
"\"Nice jail. Looks strong.\" -- Harry Houdini" ,
"Only the phoenix arises and does not descend. -- \"Sandman\"" ,
"Pick battles big enough to matter, small enough to win. -- Jonathan Kozol" ,
"Prepare and prevent instead of repair and repent." ,
"Q: How do you count cows? A: With a cowculator" ,
"Remember, no matter where you go, there you are. -- Buckaroo Banzai" ,
"Save the whales. Collect the whole set." ,
"Seize the day." ,
"Sin has many tools, but a lie is the handle which fits them all." ,
"Spyware flocks to MS-Windows like fleas to a dog. -- Linux proverb" ,
"Success is a journey, not a destination." ,
"Tears cannot restore her. Therefore I weep." ,
"Tell the truth and run. -- Yugoslavian proverb" ,
"The best way to predict the future is to invent it." ,
"The bogosity meter just pegged." ,
"The busy bee has no time for sorrow. -- William Blake" ,
"The buyer needs a hundred eyes, the seller not one. -- George Herbert" ,
"The cold wind of hope blows eternal." ,
"The corn is never found innocent in the court of the chickens. -- Finnish proverb" ,
"The eye sees only what the mind is prepared to comprehend. -- Robertson Davies" ,
"The fool wonders, the wise man asks. -- Benjamin Disraeli" ,
"The future is not set. There is no fate but what we make for ourselves. -- John Connor" ,
"The greatest of faults is to be conscious of none." ,
"The hardest part of the journey is said to be the passing of the gate." ,
"The last man on Earth sat alone in a room. There was a knock on the door." ,
"The mind is not a vessel to be filled but a fire to be lit. -- Plutarch" ,
"The one time Blince got near a fact his hair caught fire. -- Steve Aylett, \"Atom\"" ,
"The past is like a foreign country. They do things differently there." ,
"The road of excess leads to the palace of wisdom. -- William Blake" ,
"The smallest fact is a window through which the infinite may be seen." ,
"The ticket to the future is always blank. -- Vash the Stampede, \"Trigun\"" ,
"The tigers of wrath are wiser than the horses of instruction. -- William Blake" ,
"The truth is easiest to disprove -- its defenses are down. -- Steve Aylett" ,
"The truth is never dangerous. Except when told. -- Philip Moeller" ,
"The wine remembers." ,
"The wise man trusts only in lies. -- Roald Dahl" ,
"The world is coming to an end. Save your buffers." ,
"There are no degrees of honesty." ,
"They also surf who only stand on waves." ,
"Time and tide wait for no man." ,
"Time is the devourer of all things. -- Ovid" ,
"Time is the most valuable thing a man can spend. -- Theophrastus" ,
"To err is human; to moo, bovine." ,
"To iterate is human; to recurse, divine." ,
"Trifles make perfection, but perfection itself is no trifle. -- Joseph Conrad" ,
"Two wrongs don't make a right, but three lefts do." ,
"\"UNIX for the sake of the kingdom of heaven.\" -- Matthew 19:12" ,
"Value's in the mind of the buyer, not the peddler. -- Lucien, \"Sandman\"" ,
"War is peace. Freedom is slavery. Ketchup is a vegetable." ,
"We cannot direct the wind, but we can adjust the sails." ,
"Well done is better than well said. -- Benjamin Franklin" ,
"What color is a chameleon on a mirror?" ,
"What happens to the hole when the cheese is gone? -- Bertolt Brecht" ,
"When a man tells you he became rich through hard work, ask him whose" ,
"When in darkness, Or in doubt, Run in circles, Scream and shout" ,
"When marriage is outlawed, only outlaws will have inlaws." ,
"Where ignorance is bliss, 'tis folly to be wise. -- Thomas Gray" ,
"Where you stand depends on where you sit." ,
"Whom computers would destroy, they must first drive mad." ,
"Why do we drive on a parkway, and park in a driveway?" ,
"Why was six scared of seven? Because seven eight nine" ,
"Words must be weighed, not counted." ,
"Yard by yard, life is hard; by the inch, it's a cinch. -- Betty Hinman" ,
"You get what you give." ,
"You've got to feed the horses if you want the wagon pulled." ,
"YYUR YYUB ICUR YY4ME" ,
}

-- ===================================================================

local function chat_and_irc (msg)
    minetest.chat_send_all (msg)

    if minetest.get_modpath ("irc") then
        if  irc.say ~= nil then
            irc.say (msg)
        end
    end
end

-- ===================================================================

minetest.register_chatcommand ("fortune", {
    params      = ""              ,
    description = "Deep thoughts" ,
    func        = function (name, params)
        local quote = QuoteList [math.random (#QuoteList)]
        minetest.chat_send_player (name, quote)
    end ,
})

-- ===================================================================

minetest.register_chatcommand ("impeach", {
    params      = "<official>"          ,
    description = "Impeach an official" ,
    func        = function (name, params)
        minetest.chat_send_player (name, "Impeached")
    end ,
})
