-- Part of the xmas mod by Jordan "Jordach" Snelling.
-- See "init.lua" for licensing info.

minetest.register_node (":xmas:present_r", {
    description = "Red Present",
    tiles = {"jsxmas_red_pres_top.png", "jsxmas_red_pres_top.png", "jsxmas_red_pres_side.png"},
    groups = {dig_immediate=3},
})

minetest.register_node (":xmas:present_b", {
    description = "Blue Present",
    tiles = {"jsxmas_blue_pres_top.png", "jsxmas_blue_pres_top.png", "jsxmas_blue_pres_side.png"},
    groups = {dig_immediate=3},
})

minetest.register_node (":xmas:present_g", {
    description = "Green Present",
    tiles = {"jsxmas_gree_pres_top.png", "jsxmas_gree_pres_top.png", "jsxmas_gree_pres_side.png"},
    groups = {dig_immediate=3},
})

minetest.register_node (":xmas:present_y", {
    description = "Yellow Present",
    tiles = {"jsxmas_yel_pres_top.png", "jsxmas_yel_pres_top.png", "jsxmas_yel_pres_side.png"},
    groups = {dig_immediate=3},
})

minetest.register_node (":xmas:present_meta", {
    description = "Meta Present",
    tiles = {"jsxmas_red_pres_top.png", "jsxmas_red_pres_top.png", "jsxmas_red_pres_side.png"},
    groups = {dig_immediate=3},
})

minetest.register_abm ({
    nodenames = { "xmas:present_meta" } ,
    catch_up  = false ,
    chance    = 1     ,
    interval  = 3     ,

    action    = function (pos, node)
        local ptable = { "r", "g", "b", "y" }
        local opt    = ptable [math.random (#ptable)]
        local name   = "xmas:present_" .. opt

        minetest.set_node(pos, { name = name })
    end
})
