local modpath = minetest.get_modpath("dragoncy")

-- internationalization boilerplate
local S, NS = dofile(modpath.."/intllib.lua")

minetest.log("info", S("Dragoncy mod loading..."))

dofile(modpath.."/craftitems.lua")
minetest.log("info", "[Dragoncy] "..S("Craft_items Loaded!"))
dofile(modpath.."/shop.lua")
minetest.log("info", "[Dragoncy] "..S("Shop Loaded!"))
dofile(modpath.."/barter.lua")
minetest.log("info", "[Dragoncy] "..S("Barter Loaded!"))
dofile(modpath.."/safe.lua")
minetest.log("info", "[Dragoncy] "..S("Safe Loaded!"))
dofile(modpath.."/crafting.lua")
minetest.log("info", "[Dragoncy] "..S("Crafting Loaded!"))

if minetest.settings:get_bool("creative_mode") then
    minetest.log("info", "[Dragoncy] "..S("Creative mode in use, skipping basic income."))
else
    dofile(modpath.."/income.lua")
    minetest.log("info", "[Dragoncy] "..S("Income Loaded!"))
end
